Package org.picocontainer.converters

# Class UrlConverter

java.lang.Object
org.picocontainer.converters.UrlConverter

All Implemented Interfaces:
  `Converter<URL>`

public class UrlConverter extends Object implements Converter<URL>
Converts values to URL data type objects

Author:
  Paul Hammant, Michael Rimov

## Constructor Summary

Constructors
Constructor
Description
`UrlConverter()`

## Method Summary

Modifier and Type
Method
Description
`URL`
`convert(String paramValue)`
Performs a conversion between the given parameter value and the target type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UrlConverter

public UrlConverter()

## Method Details

### convert

public URL convert(String paramValue)
Description copied from interface: `Converter`
Performs a conversion between the given parameter value and the target type.

Specified by:
  `convert` in interface `Converter<URL>`
Parameters:
  `paramValue` - the string value to convert.
Returns:
  the resulting object.